Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class FamilyMemberType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.FamilyMemberType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class FamilyMemberType

extends Object
implements Serializable

information about a person in the family

Java class for FamilyMemberType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FamilyMemberType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PersonData" type="{urn:be:fgov:ehealth:consultRN:1_0:core}InhabitantType"/>
             <element name="Relationship" type="{urn:be:fgov:ehealth:consultRN:1_0:core}RelationshipType" minOccurs="0"/>
             <element name="EntryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FamilyMemberType()`

Method Summary
`org.joda.time.DateTime` | `getEntryDate()` Gets the value of the entryDate property.
`InhabitantType` | `getPersonData()` Gets the value of the personData property.
`RelationshipType` | `getRelationship()` Gets the value of the relationship property.
`void` | `setEntryDate(org.joda.time.DateTime value)` Sets the value of the entryDate property.
`void` | `setPersonData(InhabitantType value)` Sets the value of the personData property.
`void` | `setRelationship(RelationshipType value)` Sets the value of the relationship property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FamilyMemberType

    public FamilyMemberType()

Method Detail

### getPersonData

    public InhabitantType getPersonData()

  Gets the value of the personData property.

  Returns:
    possible object is `InhabitantType`

### setPersonData

    public void setPersonData(InhabitantType value)

  Sets the value of the personData property.

  Parameters:
    `value` - allowed object is `InhabitantType`

### getRelationship

    public RelationshipType getRelationship()

  Gets the value of the relationship property.

  Returns:
    possible object is `RelationshipType`

### setRelationship

    public void setRelationship(RelationshipType value)

  Sets the value of the relationship property.

  Parameters:
    `value` - allowed object is `RelationshipType`

### getEntryDate

    public org.joda.time.DateTime getEntryDate()

  Gets the value of the entryDate property.

  Returns:
    possible object is `String`

### setEntryDate

    public void setEntryDate(org.joda.time.DateTime value)

  Sets the value of the entryDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.